Summary: Round-Robin Database Collecting Daemon
Name: rrdcollect
Version: 0.2.9
Release: %mkrel 10
Group: Monitoring
License: GPLv2
Source: http://prdownloads.sourceforge.net/prdownloads/%{name}/%{name}-%{version}.tar.gz
Patch0: rrdcollect-checkpid.diff
Patch1: rrdcollect-socket.diff
Patch2: rrdcollect-0.2.9-lsb.patch
Requires: rrdtool
URL: http://rrdcollect.sourceforge.net/
Requires: chkconfig, initscripts >= 5.54
BuildRequires: pcre-devel 
BuildRequires: byacc

%description
RRDcollect is a small daemon which periodically polls 
certain files in /proc or network sockets, to gather
data which is then stored inside an rrd database.
Being written in C it's fast and resources-friendly.  
Supports both scanf(3)-style pattern matches and 
perl compatible regular expressions.

%prep
%setup -q
%autopatch -p1

%build
%configure --enable-exec
make

%install
%make_install

mkdir -p %{buildroot}/%{_initrddir}
install -m 0755 doc/sample-rrdcollect.init %{buildroot}%{_initrddir}/rrdcollect

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%doc AUTHORS NEWS README
%attr(0644,root,root) %config(noreplace) /etc/rrdcollect.conf
%attr(0755,root,root) %{_initrddir}/rrdcollect
%{_mandir}/man5/rrdcollect.*
%{_mandir}/man8/rrdcollect.*
%{_sbindir}/rrdcollect


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.2.9-10.mga8
+ Revision: 1516622
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%apply_patches

* Sun Sep 23 2018 umeabot <umeabot> 0.2.9-9.mga7
+ Revision: 1300854
- Mageia 7 Mass Rebuild

* Fri Feb 12 2016 umeabot <umeabot> 0.2.9-8.mga6
+ Revision: 958994
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.9-7.mga5
+ Revision: 749530
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.9-6.mga5
+ Revision: 688718
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.2.9-5.mga4
+ Revision: 521564
- Mageia 4 Mass Rebuild

* Wed Jan 23 2013 fwang <fwang> 0.2.9-4.mga3
+ Revision: 391228
- update req

* Mon Jan 14 2013 umeabot <umeabot> 0.2.9-3.mga3
+ Revision: 380500
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat May 12 2012 colin <colin> 0.2.9-2.mga3
+ Revision: 235406
- Add LSB headers to initscripts (mga#5262)

* Wed Feb 15 2012 bertl <bertl> 0.2.9-1.mga2
+ Revision: 209251
- imported package rrdcollect

